<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
	<head>
		<meta charset="UTF-8" />
		<title>Navabar</title>
	</head>
	<body>
		<nav
			th:fragment="navbar"
			x-data="{
  	navbarClass: '',
  	lastScrollTop: document.documentElement.scrollTop,
  }"
			:class="navbarClass"
			@scroll.window="scrollTop = document.documentElement.scrollTop, navbarClass = scrollTop < lastScrollTop ? 'translate-y-0' : scrollTop > 200 ? '-translate-y-full' : '' , lastScrollTop = scrollTop <= 0 ? 0 : scrollTop"
			class="fixed start-0 top-0 z-50 w-full bg-surface-container py-3 transition-all duration-300 ease-in-out"
		>
			<div
				x-data="{ openMenu: window.innerWidth >= 768 ? true : false }"
				class="mx-auto flex max-w-screen-xl flex-wrap items-center justify-between px-4"
			>
				<!-- brand logos -->
				<div class="flex gap-2">
					<a th:href="@{'/'}" class="flex items-center space-x-3">
						<img th:src="@{'/img/logo.svg'}" class="h-10" alt="STIMIK Tazkia Logo" />
					</a>
					<img th:src="@{'/img/belajar-pada-ahlinya.png'}" alt="belajar pada ahlinya" />
					<img th:src="@{'/img/jaminan-kerja.png'}" alt="jaminan kerja" />
				</div>
				<div class="flex items-center gap-2 md:order-3">
					<!-- Register Button -->
					<a
						th:href="@{https://spmb.tazkia.ac.id/stmiktazkia}"
						class="hidden items-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50 lg:inline-flex"
					>
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-5"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L10.582 16.07a4.5 4.5 0 0 1-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 0 1 1.13-1.897l8.932-8.931Zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0 1 15.75 21H5.25A2.25 2.25 0 0 1 3 18.75V8.25A2.25 2.25 0 0 1 5.25 6H10"
							/>
						</svg>
						Daftar
					</a>
					<!-- Toggle Nav Menu Button -->
					<button
						@click="openMenu = !openMenu"
						type="button"
						class="inline-flex size-11 items-center justify-center gap-x-2 rounded-default border border-surface-outline text-sm font-semibold text-on-surface-lower hover:border-surface-outline-higher hover:bg-surface-container-highest/40 focus:border-surface-outline-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-surface-outline-higher disabled:cursor-not-allowed disabled:border-surface-outline-lower disabled:text-on-surface-lower/40 hover:disabled:bg-transparent md:hidden"
						:aria-expanded="openMenu"
					>
						<span class="sr-only">Open main menu</span>
						<svg
							class="h-5 w-5"
							aria-hidden="true"
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 17 14"
						>
							<path
								stroke="currentColor"
								stroke-linecap="round"
								stroke-linejoin="round"
								stroke-width="2"
								d="M1 1h15M1 7h15M1 13h15"
							/>
						</svg>
					</button>
				</div>
				<!-- navbar menu container -->
				<div
					x-cloak
					x-show="openMenu"
					x-transition:enter="transition duration-300 ease-in-out"
					x-transition:enter-start="opacity-0 scale-95 "
					x-transition:enter-end="opacity-100 scale-100 "
					x-transition:leave="transition duration-100 ease-in-out"
					x-transition:leave-start="scale-100 opacity-100"
					x-transition:leave-end="scale-95 opacity-0"
					class="w-full md:w-auto"
				>
					<ul class="mt-4 flex flex-col text-lg font-medium md:mt-0 md:flex-row">
						<li>
							<a
								th:attrappend="data-active=${linkActive == 'home'}? 'true'"
								th:href="@{'/'}"
								class="block rounded-default px-4 py-2 text-on-surface hover:bg-surface-container-higher focus:bg-surface-container-higher focus:outline-none data-[active=true]:text-primary"
								>Beranda</a
							>
						</li>
						<li x-data="{ isOpen: false }">
							<button
								@click="isOpen = !isOpen"
								type="button"
								class="flex w-full items-center justify-between gap-1 rounded-default px-4 py-2 text-on-surface hover:bg-surface-container-higher focus:bg-surface-container-higher focus:outline-none lg:justify-normal"
							>
								Jurusan<svg
									:class="{'rotate-180':isOpen }"
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-4 transition-transform ease-in-out"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m19.5 8.25-7.5 7.5-7.5-7.5"
									/>
								</svg>
							</button>
							<!-- Submenu Jurusan -->
							<div
								x-cloak
								x-show="isOpen"
								@click.outside="isOpen = false"
								x-transition:enter="transition duration-300 ease-in-out"
								x-transition:enter-start="opacity-0 scale-95 "
								x-transition:enter-end="opacity-100 scale-100 "
								x-transition:leave="transition duration-100 ease-in-out"
								x-transition:leave-start="scale-100 opacity-100"
								x-transition:leave-end="scale-95 opacity-0"
								class="relative mt-1 rounded-default bg-surface shadow md:absolute md:top-16 md:mt-0 md:max-w-2xl"
							>
								<div
									th:x-data="'{ active : \'' + (${linkActive == 'teknikInformatika' ? 'ti' : 'si'}) + '\'}'"
									class="flex flex-col divide-surface-outline-lower lg:flex-row lg:divide-x"
								>
									<div class="flex basis-1/2 flex-col p-4">
										<div
											@mouseover="active='si'"
											th:attrappend="data-active=${linkActive == 'sistemInformasi'}? 'true'"
											class="flex items-start gap-4 rounded-default p-3 hover:bg-surface-container-higher data-[active=true]:bg-surface-container-higher"
										>
											<svg
												xmlns="http://www.w3.org/2000/svg"
												fill="none"
												viewBox="0 0 24 24"
												stroke-width="1.5"
												stroke="currentColor"
												class="size-6 flex-shrink-0 stroke-primary"
											>
												<path
													stroke-linecap="round"
													stroke-linejoin="round"
													d="m6.75 7.5 3 2.25-3 2.25m4.5 0h3m-9 8.25h13.5A2.25 2.25 0 0 0 21 18V6a2.25 2.25 0 0 0-2.25-2.25H5.25A2.25 2.25 0 0 0 3 6v12a2.25 2.25 0 0 0 2.25 2.25Z"
												/>
											</svg>
											<div>
												<p class="mb-1 text-base font-medium text-on-surface-higher">
													Sistem Informasi
												</p>
												<p class="text-sm text-on-surface">
													Program studi Sistem Informasi STMIK Tazkia memiliki berbagai
													pilihan konsentrasi...
												</p>
												<a
													th:href="@{'/program-studi/sistem-informasi'}"
													class="mt-2 flex items-center gap-1 text-sm text-on-surface hover:text-primary"
													>Selengkapya
													<svg
														xmlns="http://www.w3.org/2000/svg"
														fill="none"
														viewBox="0 0 24 24"
														stroke-width="1.5"
														stroke="currentColor"
														class="size-3"
													>
														<path
															stroke-linecap="round"
															stroke-linejoin="round"
															d="m4.5 19.5 15-15m0 0H8.25m11.25 0v11.25"
														/>
													</svg>
												</a>
											</div>
										</div>
										<div
											@mouseover="active = 'ti'"
											th:attrappend="data-active=${linkActive == 'teknikInformatika'}? 'true'"
											class="flex items-start gap-4 rounded-default p-3 hover:bg-surface-container-higher data-[active=true]:bg-surface-container-higher"
										>
											<svg
												xmlns="http://www.w3.org/2000/svg"
												fill="none"
												viewBox="0 0 24 24"
												stroke-width="1.5"
												stroke="currentColor"
												class="size-6 flex-shrink-0 stroke-primary"
											>
												<path
													stroke-linecap="round"
													stroke-linejoin="round"
													d="M9 17.25v1.007a3 3 0 0 1-.879 2.122L7.5 21h9l-.621-.621A3 3 0 0 1 15 18.257V17.25m6-12V15a2.25 2.25 0 0 1-2.25 2.25H5.25A2.25 2.25 0 0 1 3 15V5.25m18 0A2.25 2.25 0 0 0 18.75 3H5.25A2.25 2.25 0 0 0 3 5.25m18 0V12a2.25 2.25 0 0 1-2.25 2.25H5.25A2.25 2.25 0 0 1 3 12V5.25"
												/>
											</svg>

											<div>
												<p class="mb-1 text-base font-medium text-on-surface-higher">
													Teknik Informatika
												</p>
												<p class="text-sm text-on-surface">
													Program studi Teknik Informatika STMIK Tazkia memiliki berbagai
													pilihan konsentrasi...
												</p>
												<a
													th:href="@{'/program-studi/teknik-informatika'}"
													class="mt-2 flex items-center gap-1 text-sm text-on-surface hover:text-primary"
													>Selengkapya
													<svg
														xmlns="http://www.w3.org/2000/svg"
														fill="none"
														viewBox="0 0 24 24"
														stroke-width="1.5"
														stroke="currentColor"
														class="size-3"
													>
														<path
															stroke-linecap="round"
															stroke-linejoin="round"
															d="m4.5 19.5 15-15m0 0H8.25m11.25 0v11.25"
														/>
													</svg>
												</a>
											</div>
										</div>
									</div>
									<div class="hidden basis-1/2 p-4 font-medium text-on-surface lg:block">
										<p class="p-2 font-semibold text-on-surface-higher">Konsentrasi</p>
										<template x-if="active == 'si'">
											<div>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Project management
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Machine Learning
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Data Analytic
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Business Information System
												</p>
											</div>
										</template>
										<template x-if="active == 'ti'">
											<div>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Cyber Security
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Artificial Intlligent
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Web Development
												</p>
												<p class="rounded-default p-2 hover:bg-surface-container-higher">
													Software Enginer
												</p>
											</div>
										</template>
									</div>
								</div>
								<!-- action container -->
								<div
									class="flex flex-col gap-4 border-t border-t-surface-outline-lower bg-surface-container-higher p-4 sm:flex-row sm:items-center"
								>
									<div>
										<p class="mb-1 font-medium text-on-surface-higher">
											Ayo bergabung dengan STMIK Tazkia
										</p>
										<p class="text-sm text-on-surface">
											Tingkatkan potensi terbaik mu di STMIK Tazkia, kampus dengan lingkungan yang
											nyaman dan memiliki berbagai program unggulan..
										</p>
									</div>
									<a
										th:href="@{https://spmb.tazkia.ac.id/stmiktazkia}"
										class="inline-flex flex-shrink-0 items-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
									>
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-5 flex-shrink-0"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L10.582 16.07a4.5 4.5 0 0 1-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 0 1 1.13-1.897l8.932-8.931Zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0 1 15.75 21H5.25A2.25 2.25 0 0 1 3 18.75V8.25A2.25 2.25 0 0 1 5.25 6H10"
											/>
										</svg>
										Daftar Sekarang
									</a>
								</div>
							</div>
						</li>
						<li>
							<a
								th:attrappend="data-active=${linkActive == 'about'}? 'true'"
								th:href="@{'/about'}"
								class="block rounded-default px-4 py-2 text-on-surface hover:bg-surface-container-higher focus:bg-surface-container-higher focus:outline-none data-[active=true]:text-primary"
								>Tentang Kami</a
							>
						</li>
						<li>
							<a
								th:attrappend="data-active=${linkActive == 'news'}? 'true'"
								th:href="@{'/news'}"
								class="block rounded-default px-4 py-2 text-on-surface hover:bg-surface-container-higher focus:bg-surface-container-higher focus:outline-none data-[active=true]:text-primary"
								>Berita</a
							>
						</li>
					</ul>
				</div>
			</div>
		</nav>
	</body>
</html>
